Bug 771005 - (kde-baseapps) Review Request: kde-baseapps - KDE Core Applications
Review Request: kde-baseapps - KDE Core Applications
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.8
  Show dependency treegraph
 
Reported: 2011-12-30 18:53 EST by Rex Dieter
Modified: 2016-11-30 19:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-13 11:50:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rnovacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-12-30 18:53:44 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kde-baseapps/kde-baseapps.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kde-baseapps/kde-baseapps-4.7.95-10.fc16.src.rpm
Description:
Core applications for KDE 4, including:
dolphin : File manager
kdepasswd : Changes a UNIX password.
kdialog : Nice dialog boxes from shell scripts
keditbookmarks : Bookmark oranizer and editor
kfind : File find utility
kfmclient : Tool for opening URLs from the command line
konqueror : Web browser, file manager and document viewer


New package review for renaming existing kdebase pkg to match upstream's kde-baseapps name.
Comment 1 Radek Novacek 2012-01-13 09:40:28 EST
Name: ok
License: ok
Source: ok
BRs/Reqs: ok
Macros used consistently: ok
ldconfig: ok
Desktop file validations: should be added
Locales: NA
Docs: COPYING COPYING.LIB COPYING.DOC and README should be added to %doc
Devel: ok
Files: ok
Build: ok
rpmlint:
ISSUES, that should be fixed
typo: 
kde-baseapps.src: W: spelling-error %description -l en_US oranizer -> organizer, organize

subpackage provides itself:
Provides:  kde-baseapps-libs = %{version}-%{release}


kde-baseapps.src: W: spelling-error %description -l en_US kdepasswd -> password
kde-baseapps.src: W: spelling-error %description -l en_US kdialog -> dialog, k dialog
kde-baseapps.src: W: spelling-error %description -l en_US keditbookmarks -> bookmarks
kde-baseapps.src: W: spelling-error %description -l en_US oranizer -> organizer, organize
kde-baseapps.src: W: spelling-error %description -l en_US kfind -> kind, find, k find
kde-baseapps.src: W: spelling-error %description -l en_US kfmclient -> clientele
kde-baseapps.src: W: spelling-error %description -l en_US konqueror -> conqueror, conquer
kde-baseapps.src:38: W: unversioned-explicit-obsoletes d3lphin
kde-baseapps.src:56: W: macro-in-comment %{version}
kde-baseapps.src:58: W: macro-in-comment %{version}
kde-baseapps.src:783: W: macro-in-%changelog %{_kde4_datadir}
kde-baseapps.src:786: W: macro-in-%changelog %{_kde4_iconsdir}
kde-baseapps.src: W: invalid-url Source0: ftp://ftp.kde.org/pub/kde/stable/4.7.95/src/kde-baseapps-4.7.95.tar.bz2 <urlopen error ftp error: 550 Failed to change directory.>
kde-baseapps.x86_64: W: spelling-error %description -l en_US oranizer -> organizer, organize
kde-baseapps.x86_64: W: obsolete-not-provided d3lphin
kde-baseapps.x86_64: W: self-obsoletion kde-plasma-folderview < 6:4.3.1-1 obsoletes kde-plasma-folderview = 4.7.95-10.fc17
kde-baseapps.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_dolphin.so libkdeinit4_dolphin.so
kde-baseapps.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_keditbookmarks.so libkdeinit4_keditbookmarks.so
kde-baseapps.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kfmclient.so libkdeinit4_kfmclient.so
kde-baseapps.x86_64: W: shared-lib-calls-exit /usr/lib64/libkdeinit4_kfmclient.so exit@GLIBC_2.2.5
kde-baseapps.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_konqueror.so libkdeinit4_konqueror.so
kde-baseapps.x86_64: E: script-without-shebang /usr/share/applications/kde4/dolphin.desktop
kde-baseapps.x86_64: W: hidden-file-or-dir /usr/share/kde4/apps/konqsidebartng/virtual_folders/remote/ftp/.directory
kde-baseapps.x86_64: E: script-without-shebang /usr/share/applications/kde4/Home.desktop
kde-baseapps.x86_64: E: script-without-shebang /usr/share/applications/kde4/kfmclient_war.desktop
kde-baseapps.x86_64: W: hidden-file-or-dir /usr/share/kde4/apps/konqsidebartng/virtual_folders/remote/web/.directory
kde-baseapps.x86_64: E: non-executable-script /usr/share/templates/.source/Program.desktop 0644L /usr/bin/env
kde-baseapps.x86_64: W: hidden-file-or-dir /usr/share/kde4/apps/konqsidebartng/virtual_folders/services/.directory
kde-baseapps.x86_64: E: script-without-shebang /usr/share/applications/kde4/kdepasswd.desktop
kde-baseapps.x86_64: E: script-without-shebang /usr/share/applications/kde4/konqbrowser.desktop
kde-baseapps.x86_64: E: script-without-shebang /usr/share/applications/kde4/kfmclient.desktop
kde-baseapps.x86_64: E: script-without-shebang /usr/share/applications/kde4/kfmclient_html.desktop
kde-baseapps.x86_64: E: script-without-shebang /usr/share/applications/kde4/kfmclient_dir.desktop
kde-baseapps.x86_64: W: hidden-file-or-dir /usr/share/kde4/apps/konqsidebartng/virtual_folders/remote/.directory
kde-baseapps.x86_64: W: no-manual-page-for-binary kdialog
kde-baseapps.x86_64: W: no-manual-page-for-binary servicemenuinstallation
kde-baseapps.x86_64: W: no-manual-page-for-binary fsview
kde-baseapps.x86_64: W: no-manual-page-for-binary kdepasswd
kde-baseapps.x86_64: W: no-manual-page-for-binary servicemenudeinstallation
kde-baseapps.x86_64: W: no-manual-page-for-binary dolphin
kde-baseapps.x86_64: W: no-manual-page-for-binary nspluginviewer
kde-baseapps.x86_64: W: no-manual-page-for-binary kfmclient
kde-baseapps.x86_64: W: no-manual-page-for-binary konqueror
kde-baseapps.x86_64: W: no-manual-page-for-binary keditbookmarks
kde-baseapps.x86_64: W: no-manual-page-for-binary nspluginscan
kde-baseapps-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kde-baseapps-4.7.95/konq-plugins/webarchiver/archivedialog.cpp
kde-baseapps-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kde-baseapps-4.7.95/konq-plugins/webarchiver/archivedialog.h
kde-baseapps-devel.x86_64: W: self-obsoletion kdebase-devel < 6:4.7.95-10 obsoletes kdebase-devel < 6:4.7.95-10.fc17
kde-baseapps-devel.x86_64: W: only-non-binary-in-usr-lib
kde-baseapps-devel.x86_64: W: no-documentation
kde-baseapps-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
kde-baseapps-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kde-baseapps-libs.x86_64: E: useless-provides kde-baseapps-libs
kde-baseapps-libs.x86_64: W: self-obsoletion kdebase-libs < 6:4.7.95-10 obsoletes kdebase-libs < 6:4.7.95-10.fc17
kde-baseapps-libs.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 16 errors, 39 warnings.


No serious issues that would block the review haven't been found, setting
fedora-review+. Please fix above mentioned minor issues in some future release.
Comment 2 Rex Dieter 2012-01-13 09:46:52 EST
New Package SCM Request
=======================
Package Name: kde-baseapps
Short Description: KDE Core Applications
Owners: than rdieter jreznik ltinkl rnovacek kkofler
Branches: f16
Comment 3 Gwyn Ciesla 2012-01-13 10:00:50 EST
Git done (by process-git-requests).
Comment 4 Rex Dieter 2012-01-13 11:50:19 EST
imported, thanks!

Note You need to log in before you can comment on or make changes to this bug.